# Copyright (C) 2024, UChicago Argonne, LLC
# Licensed under the 3-clause BSD license.  See accompanying LICENSE.txt file
# in the top-level directory.

from enum import Enum


class Obj_Type(Enum):
    ROOT = "root"
    NODE = "node"
    NODE_IDX = "node_idx"
    CGROUP = "cgroup"
    ROW = "row"
    RACK = "rack"
    GPU = "gpu"
    GPU_IDX = "gpu_idx"
    SLOT = "slot"
    SLOT_IDX = "slot_idx"
    SERVER = "server"
    LOGIN = "login"
    BLOCK = "block"
    HOST = "host"
    IP = "ip"
    P0001 = "p0001"
    P0002 = "p0002"
    P0004 = "p0004"
    P0008 = "p0008"
    P0016 = "p0016"
    P0032 = "p0032"
    P0064 = "p0064"
    P0128 = "p0128"
    P0256 = "p0256"
    P0512 = "p0512"
    P1024 = "p1024"
    P2048 = "p2048"
    P4096 = "p4096"
    P8192 = "p8192"
    LINK1 = "link1"
    LINK2 = "link2"
    LINK4 = "link4"
    LINK8 = "link8"
    SWITCH = "switch"
    LINK = "link"
    ACC = "acc"
    ACC2 = "acc2"
    ACC4 = "acc4"
    TILE = "tile"
