# Copyright (C) 2024, UChicago Argonne, LLC
# Licensed under the 3-clause BSD license.  See accompanying LICENSE.txt file
# in the top-level directory.

# pylint: skip-file
# flake8: noqa
# type: ignore

from .. import __name__ as foo_name
from ..bar import __name__ as bar_name

from . import zed as zed_mod, bif as bif_mod
import foo.bar.bif as bif_mod2

bif_func = bif_mod.bif


def baz() -> str:
    print(f"baz() called; {foo_name=}, {bar_name=} {bif_func()=} {bif_mod2.zed()=}, {zed_mod.zed()=}")
    return "baz"


print("imported tests/embed/modules/foo/bar/baz.py")
